#### Operator index > By section > Convolution [src]

These operations convolve an image in some way, or are operations based on simple convolution, or are useful with convolution.

## Functions

- `vips_conv()`
- `vips_convf()`
- `vips_convi()`
- `vips_conva()`
- `vips_convsep()`
- `vips_convasep()`
- `vips_compass()`
- `vips_gaussblur()`
- `vips_sharpen()`
- `vips_spcor()`
- `vips_fastcor()`
- `vips_sobel()`
- `vips_scharr()`
- `vips_prewitt()`
- `vips_canny()`

## Enumerations

- `VipsCombine`
- `VipsPrecision`